Name:          dcmtk
Version:       3.6.8
Release:       1mamba
Summary:       The OFFIS DICOM toolkit command line utilities
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://dicom.offis.de/dcmtk.php.en
Source0:       git://git.dcmtk.org/dcmtk.git/DCMTK-%{version}/dcmtk-%{version}.tar.bz2
Patch0:        dcmtk-3.6.8-cmake-unversioned-datadir.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libnsl-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libopenssl-devel
BuildRequires: libpng-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwrap-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: dos2unix
BuildRequires: doxygen
BuildRequires: libsndfile-devel
BuildRequires: libtool
Requires:      libdcmtk = %{?epoch:%epoch:}%{version}-%{release}

%description
DCMTK includes a collection of libraries and applications for examining, constructing and converting DICOM image files, handling offline media, sending and receiving images over a network connection, as well as demonstrative image storage and worklist servers.

%package -n libdcmtk
Group:         System/Libraries
Summary:       The OFFIS DICOM toolkit runtime libraries

%description -n libdcmtk
DCMTK - OFFIS DICOM Toolkit command line utilities.
This package contains the runtime libraries for the DCMTK utility applications.

%package -n libdcmtk-devel
Group:         Development/Libraries
Summary:       The OFFIS DICOM toolkit development libraries and headers
Requires:      libdcmtk = %{?epoch:%epoch:}%{version}-%{release}

%description -n libdcmtk-devel
DCMTK - OFFIS DICOM Toolkit command line utilities.
This package contains development libraries and headers for DCMTK.

%debug_package

%prep
%setup -q
%patch 0 -p1

%build
%cmake -d build \
   -DBUILD_SHARED_LIB=ON \
   -DCMAKE_INSTALL_PREFIX=%{_prefix} \
   -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
   -DCMAKE_INSTALL_LIBDIR=%{_lib} \
   -DCMAKE_INSTALL_DATADIR=%{_datadir} \
   -DDCMTK_INSTALL_CMKDIR=%{_lib}/cmake/dcmtk
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libdcmtk -p /sbin/ldconfig
%postun -n libdcmtk -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/dcmtk
%config(noreplace) %{_sysconfdir}/dcmtk/dcmpstat.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/dcmqrscp.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/filelog.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/logger.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/printers.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/storescp.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/storescu.cfg
%{_bindir}/dcm*
%{_bindir}/cda2dcm
%{_bindir}/dcod2lum
%{_bindir}/dconvlum
%{_bindir}/drtdump
%{_bindir}/drttest
%{_bindir}/dsr2html
%{_bindir}/dsr2xml
%{_bindir}/dsrdump
%{_bindir}/dump2dcm
%{_bindir}/echoscu
%{_bindir}/findscu
%{_bindir}/getscu
%{_bindir}/img2dcm
%{_bindir}/mkcsmapper
%{_bindir}/mkesdb
%{_bindir}/movescu
%{_bindir}/msgserv
%{_bindir}/oficonv_tests
%{_bindir}/ofstd_tests
%{_bindir}/pdf2dcm
%{_bindir}/stl2dcm
%{_bindir}/storescp
%{_bindir}/storescu
%{_bindir}/termscu
%{_bindir}/wlmscpfs
%{_bindir}/wltest
%{_bindir}/xml2dcm
%{_bindir}/xml2dsr
%{_bindir}/mkreport
%dir %{_datadir}/dcmtk
%{_datadir}/dcmtk/*.dump
%{_datadir}/dcmtk/*.lut
%{_datadir}/dcmtk/*.dtd
%{_datadir}/dcmtk/*.dic
%{_datadir}/dcmtk/*.xsd
%{_datadir}/dcmtk/*.txt
%{_datadir}/dcmtk/*.css
%{_datadir}/dcmtk/wlistdb
%{_datadir}/dcmtk/wlistqry
%dir %{_datadir}/dcmtk/csmapper
%{_datadir}/dcmtk/csmapper/*
%dir %{_datadir}/dcmtk/esdb
%{_datadir}/dcmtk/esdb/*
%{_mandir}/man1/*.1*

%files -n libdcmtk
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%doc COPYRIGHT

%files -n libdcmtk-devel
%defattr(-,root,root)
%dir %{_includedir}/dcmtk
%{_includedir}/dcmtk/*
%{_libdir}/lib*.so
%dir %{_libdir}/cmake/dcmtk
%{_libdir}/cmake/dcmtk/DCMTK*.cmake
%dir %{_docdir}/dcmtk
%{_docdir}/dcmtk/*
%{_libdir}/pkgconfig/dcmtk.pc

%changelog
* Sat Feb 03 2024 Automatic Build System <autodist@openmamba.org> 3.6.8-1mamba
- automatic version update by autodist

* Mon May 16 2022 Automatic Build System <autodist@mambasoft.it> 3.6.7-1mamba
- automatic version update by autodist

* Sun Jun 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.6-1mamba
- update to 3.6.6

* Thu Jan 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1_20140617-1mamba
- update to 3.6.1_20140617

* Wed Feb 02 2011 gil <puntogil@libero.it> 3.6.0-1mamba
- package created by autospec
